%define name	fceux
%define version 2.1.3
%define release %mkrel 1
%define distsuffix plf

Summary:	NES emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Group:		Emulators
License:	GPLv2+
URL:		http://fceultra.sourceforge.net/
Source0:	http://fceultra.sourceforge.net/releases/%name-%version.src.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	scons
BuildRequires:  lua5.1-devel
BuildRequires:  gtk2-devel
BuildRequires:  GL-devel
BuildRequires:  SDL-devel
Provides: fceu
Obsoletes: fceu
Requires: zenity

%description
FCEUX is a Nintendo Entertainment System (NES), Famicom, and Famicom
Disk System (FDS) emulator. It supports both PAL (European) and NTSC
(USA/JPN) modes. It supports both Windows and SDL versions for cross
compatibility.

This package is in PLF, as the Mandriva policy doesn't allow
console emulators.

%prep
%setup -q -c

%build
cd fceu
scons

%install
rm -rf %buildroot
install -m 755 -D fceu/bin/fceux %buildroot%_bindir/fceux
install -D fceu/documentation/fceux.6 %buildroot%_mandir/man6/fceux.6

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=FCEUX
GenericName=NES emulator
Comment=Play Nintendo Enternainment System games
Exec=%{_bindir}/%{name}
Icon=emulators_section
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Game;Emulator;
EOF


%files
%defattr(-,root,root)
%doc fceu/Authors.txt fceu/changelog.txt fceu/NewPPUtests.txt fceu/NEWS
%doc fceu/README-SDL fceu/TODO*
%doc fceu/documentation/
%{_bindir}/fceux
%{_mandir}/man6/fceux.6*
%_datadir/applications/mandriva-%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May  6 2010 Gtz Waschk <goetz@zarb.org> 2.1.3-1plf2010.1
- replace fceu by fceux fork

* Wed Jul 16 2008 Gtz Waschk <goetz@zarb.org> 0.98.12-4plf2009.0
- update license
- patch for saving the state (bug #211)

* Thu Apr 12 2007 Gtz Waschk <goetz@zarb.org> 0.98.12-3plf2007.1
- rebuild

* Sun Nov 06 2005 Götz Waschk <goetz@zarb.org> 0:0.98.12-2plf
- Rebuild

* Wed Sep  1 2004 Guillaume Bedot <littletux@mandrakesoft.com> 0.98.12-1plf
- New release 0.98.12

* Fri May  7 2004 Gtz Waschk <goetz@plf.zarb.org> 0.98.9-1plf
- New release 0.98.9

* Mon Apr 26 2004 Guillaume Bedot <littletux@zarb.org> 0.98.8-1plf
- update to 0.98.8

* Mon Apr 19 2004 Gtz Waschk <goetz@plf.zarb.org> 0.98.6-1plf
- spec fixes
- new version

* Sat Sep 27 2003 David Walluck <david@anti-microsoft.org> 0:0.96-2plf
- fix Requires (but I think the SDL Provides are wrong)
- add Epoch
- add Distribution and Vendor

* Mon Sep 08 2003 David Walluck <david@anti-microsoft.org> 0.96-1plf
- 0.96
- add manpage
- make rpmlint happy about Requires and BuildRequires

* Thu May 15 2003 Gtz Waschk <goetz@plf.zarb.org> 0.94r3-1plf
- new version

* Thu Apr 10 2003 Gtz Waschk <goetz@plf.zarb.org> 0.94-1plf
- new version

* Fri Jan 24 2003 David Walluck <david@anti-microsoft.org> 0.81-4plf
- remove SDL patch from SRPM (I forget if it applies or not)

* Thu Jan 23 2003 David Walluck <david@anti-microsoft.org> 0.81-3plf
- update

* Sun Oct 06 2002 David Walluck <david@anti-microsoft.org> 0.81-2plf
- fix permissions on src archive: 0600 -> 0644

* Sun Oct 06 2002 David Walluck <david@anti-microsoft.org> 0.81-1plf
- 0.81

* Tue Aug 27 2002 David Walluck <david@anti-microsoft.org> 0.76-3plf
- new CVS snapshot
- binary name has changed from fce to fceu

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 0.76-2plf
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 0.76-1plf
- release
